Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOP::EmptyProfileList Exception Reference

@ Bala, please describe this exception. More...

`#include <IORC.h>`

List of all members.

## Public Methods
| EmptyProfileList (void)
| EmptyProfileList (const EmptyProfileList &)
| ~EmptyProfileList (void)
EmptyProfileList & | operator= (const EmptyProfileList &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
EmptyProfileList * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Detailed Description

@ Bala, please describe this exception.

Exceptions:

  EmptyProfileList |

## Constructor & Destructor Documentation

TAO_IOP::EmptyProfileList::EmptyProfileList | ( | void |  | ) |

TAO_IOP::EmptyProfileList::EmptyProfileList | ( | const EmptyProfileList & |  | ) |

TAO_IOP::EmptyProfileList::~EmptyProfileList | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * TAO_IOP::EmptyProfileList::_alloc | ( | void |  | ) | `[static]`

TAO_IOP::EmptyProfileList * TAO_IOP::EmptyProfileList::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void TAO_IOP::EmptyProfileList::_raise | ( | void |  | ) | `[virtual]`

void TAO_IOP::EmptyProfileList::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void TAO_IOP::EmptyProfileList::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * TAO_IOP::EmptyProfileList::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void TAO_IOP::EmptyProfileList::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr TAO_IOP::EmptyProfileList::_type | ( | void |  | ) | const`[virtual]`

EmptyProfileList& TAO_IOP::EmptyProfileList::operator= | ( | const EmptyProfileList & |  | ) |

The documentation for this exception was generated from the following files:

- IOR.pidl
- IORC.h
- IORC.cpp